summaryrefslogtreecommitdiff
path: root/runtest-moduleapi
diff options
context:
space:
mode:
authorYossi Gottlieb <yossigo@gmail.com>2019-03-24 12:03:03 +0200
committerYossi Gottlieb <yossigo@gmail.com>2019-03-24 12:03:03 +0200
commitec0b6bd2c35a617101a2e874307be8ae9b504ac0 (patch)
tree2a8a700891e4775913ab5a822e6b1925290871e6 /runtest-moduleapi
parent822a992f913484162ce508fdb073d8f2ddb6d7c8 (diff)
downloadredis-ec0b6bd2c35a617101a2e874307be8ae9b504ac0.tar.gz
Add runtest-moduleapi with commandfilter coverage.
Diffstat (limited to 'runtest-moduleapi')
-rwxr-xr-xruntest-moduleapi16
1 files changed, 16 insertions, 0 deletions
diff --git a/runtest-moduleapi b/runtest-moduleapi
new file mode 100755
index 000000000..84cdb9bb8
--- /dev/null
+++ b/runtest-moduleapi
@@ -0,0 +1,16 @@
+#!/bin/sh
+TCL_VERSIONS="8.5 8.6"
+TCLSH=""
+
+for VERSION in $TCL_VERSIONS; do
+ TCL=`which tclsh$VERSION 2>/dev/null` && TCLSH=$TCL
+done
+
+if [ -z $TCLSH ]
+then
+ echo "You need tcl 8.5 or newer in order to run the Redis test"
+ exit 1
+fi
+
+make -C tests/modules && \
+$TCLSH tests/test_helper.tcl --single unit/moduleapi/commandfilter "${@}"